[Testing Update] 2021-03-17 - Plasma 5.21.3, Systemd 247.4, Gstreamer, KDE-dev, Python, Haskell

Hello community,

Another testing branch update with some usual updates for you.


Get the latest Plasma releases based on git-master branch via our daily-builds

  • Plasma 5.21.3 got released yesterday
  • Systemd is at 247.4, which also reduces boot-up times
  • gstreamer got also updated
  • Other regular upstream updates including python and haskell

Get our latest daily developer images now from Github: Plasma, Gnome, XFCE. You can also help us with the Stable-Review images, so the upcoming installer ISOs are solid for Newcomers!


Our current supported kernels

  • linux44 4.4.261
  • linux49 4.9.261
  • linux414 4.14.225
  • linux419 4.19.180
  • linux54 5.4.105
  • linux59 5.9.16 [EOL]
  • linux510 5.10.23
  • linux511 5.11.6
  • linux512 5.12-rc3
  • linux54-rt 5.4.102_rt53
  • linux59-rt 5.9.1_rt19

Packages Changes (Wed Mar 17 11:03:48 CET 2021)

  • testing community x86_64: 187 new and 170 removed package(s)
  • testing core x86_64: 17 new and 17 removed package(s)
  • testing extra x86_64: 101 new and 103 removed package(s)
  • testing kde-unstable x86_64: 277 new and 277 removed package(s)
  • testing multilib x86_64: 15 new and 15 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                        auto-cpufreq  1.6.4.r0.ge1409aa-1  1.6.4.r0.ge1409aa-2
                      gtk3-typeahead            3.24.27-3            3.24.27-4
                          rpi-imager                1.5-1                1.6-1
                              ventoy             1.0.37-1             1.0.38-1
            manjaro-refind-installer                    -                0.2-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                             absl-py             0.11.0-3             0.12.0-1
                        ansible-base             2.10.6-1             2.10.7-1
                        ansible-lint              5.0.3-2              5.0.3-3
                             arduino           1:1.8.13-2           1:1.8.13-3
                      aspnet-runtime       3.1.8.sdk108-1       5.0.4.sdk104-1
               aspnet-targeting-pack       3.1.8.sdk108-1       5.0.4.sdk104-1
                            autopep8            1:1.5.5-1            1:1.5.6-1
                               boinc            7.16.12-1            7.16.14-1
                           boinc-nox            7.16.12-1            7.16.14-1
                          bsequencer              1.8.6-1              1.8.8-1
                              bshapr               0.10-1               0.11-1
                              bslizr             1.2.10-1             1.2.12-1
                            buildbot             2.10.1-2             2.10.4-1
                     buildbot-common             2.10.1-2             2.10.4-1
                       buildbot-docs             2.10.1-2             2.10.4-1
                     buildbot-worker             2.10.1-2             2.10.4-1
                          cargo-fuzz              0.8.0-1             0.10.0-1
                           clash-ghc              1.4.0-3              1.4.0-4
                             clojure         1.10.2.796-1         1.10.3.814-1
                        cozy-desktop             3.26.0-1             3.26.1-1
                          cozy-stack           1:1.4.27-1           1:1.4.28-1
                                croc             8.6.10-1             8.6.11-1
                             dbeaver              7.3.3-1             21.0.0-2
                       distrho-ports         2021.01.15-1         2021.03.15-1
                         dotnet-host       3.1.8.sdk108-1       5.0.4.sdk104-1
                      dotnet-runtime       3.1.8.sdk108-1       5.0.4.sdk104-1
                          dotnet-sdk       3.1.8.sdk108-1       5.0.4.sdk104-1
               dotnet-targeting-pack       3.1.8.sdk108-1       5.0.4.sdk104-1
                 dovecot-fts-elastic              1.0.0-2              1.0.0-4
                             drumkv1             0.9.20-1             0.9.21-2
                     element-desktop             1.7.22-1             1.7.23-1
                         element-web             1.7.22-1             1.7.23-1
                         emby-server            4.5.4.0-2            4.5.4.0-3
                           etherwall              3.0.2-2              3.0.2-3
                           exploitdb           20210309-1           20210316-1
                             freerdp            2:2.3.1-1            2:2.3.2-1
                            geogebra          6.0.620.0-1          6.0.631.0-1
                               gitui             0.12.0-2             0.12.0-3
                           goocanvas              2.0.4-7              3.0.0-1
                         goocanvasmm            1.90.11-4            1.90.11-5
                                grim              1.3.1-1              1.3.1-2
                                grpc             1.36.2-2             1.36.3-1
                            grpc-cli             1.36.2-2             1.36.3-1
                             haproxy              2.3.6-1              2.3.7-1
     haskell-bytestring-tree-builder            0.2.7.6-2            0.2.7.7-1
                          haskell-ci           0.10.3-202           0.10.3-204
                   haskell-clash-lib              1.4.0-3              1.4.0-4
               haskell-clash-prelude              1.4.0-3              1.4.0-4
      haskell-data-accessor-template          0.2.1.16-17          0.2.1.16-18
                   haskell-doclayout               0.3-85            0.3.0.1-1
                haskell-doctemplates               0.9-30               0.9-31
                      haskell-hakyll           4.14.0.0-1           4.14.0.0-3
           haskell-hasql-transaction          1.0.0.1-188          1.0.0.1-189
                haskell-non-negative            0.1.2-113            0.1.2-114
                  haskell-singletons              2.7-111                3.0-1
                 haskell-skylighting             0.10.3-3             0.10.4-1
            haskell-skylighting-core             0.10.3-3             0.10.4-1
             haskell-storable-record              0.0.5-6              0.0.5-7
              haskell-storable-tuple          0.0.3.3-143          0.0.3.3-144
              haskell-storablevector          0.2.13.1-68          0.2.13.1-69
                  haskell-th-desugar              1.11-81               1.12-1
                  haskell-utility-ht             0.0.15-6             0.0.16-1
                             hledger               1.21-2               1.21-3
                          hledger-ui               1.21-2               1.21-3
                         hledger-web               1.21-4               1.21-5
                              hoogle          5.0.18.1-78          5.0.18.1-79
                               hydra                9.1-1                9.2-1
                  intel-media-driver             20.4.5-1             21.1.2-1
     intellij-idea-community-edition         4:2020.3.2-1         4:2020.3.3-1
                          jack_mixer                 15-1               15.1-1
                jedi-language-server             0.27.2-1             0.28.3-1
                             jenkins              2.283-1              2.284-1
                            joyutils              1.6.1-2              1.7.1-1
                              libgda             5.2.10-1             5.2.10-2
                     libgda-firebird             5.2.10-1             5.2.10-2
                         libgda-jdbc             5.2.10-1             5.2.10-2
                        libgda-mysql             5.2.10-1             5.2.10-2
                     libgda-postgres             5.2.10-1             5.2.10-2
                             libxmlb              0.2.1-1              0.3.0-1
               matrix-appservice-irc             0.24.0-1             0.25.0-1
                        matterbridge             1.22.0-1             1.22.0-2
                          metasploit             6.0.33-1             6.0.34-1
                            molecule              3.2.3-1              3.2.4-1
                        mono-msbuild16.8.xamarinxplat.2020.07.30.15.02-116.8.xamarinxplat.2020.07.30.15.02-2
            mono-msbuild-sdkresolver16.8.xamarinxplat.2020.07.30.15.02-116.8.xamarinxplat.2020.07.30.15.02-2
                           musescore              3.6.1-1              3.6.2-1
          netstandard-targeting-pack       3.1.8.sdk108-1       5.0.4.sdk104-1
                                 nnn                3.5-1                3.6-1
                   nodejs-lts-erbium            12.21.0-1            12.21.0-2
                              nuitka           0.6.12.3-1           0.6.12.4-1
                           ocrfeeder              0.8.3-3              0.8.3-4
                        openfortivpn             1.16.0-1             1.16.0-2
                              ospray              1.8.5-1              2.5.0-1
                             padthv1             0.9.20-1             0.9.21-1
                              pandoc             2.11.4-7             2.11.4-9
                     pandoc-citeproc         0.17.0.2-232         0.17.0.2-234
                     pandoc-crossref           0.3.9.0-45           0.3.9.0-48
                            paraview              5.8.1-4              5.9.0-1
                     perl-goocanvas2               0.06-2               0.06-3
                            php-grpc             1.36.2-2             1.36.3-1
                           php7-grpc             1.36.2-2             1.36.3-1
                           postgrest            7.0.1-269            7.0.1-270
               python-beautifulsoup4              4.9.3-3              4.9.3-4
              python-buildbot-badges             2.10.1-2             2.10.4-1
        python-buildbot-console-view             2.10.1-2             2.10.4-1
           python-buildbot-grid-view             2.10.1-2             2.10.4-1
      python-buildbot-waterfall-view             2.10.1-2             2.10.4-1
     python-buildbot-wsgi-dashboards             2.10.1-2             2.10.4-1
                 python-buildbot-www             2.10.1-2             2.10.4-1
                      python-certifi          2020.6.20-3          2020.12.5-1
                 python-cinderclient              7.3.0-1              7.4.0-1
                    python-cysignals             1.10.2-8             1.10.3-1
                        python-faker              6.6.0-1              6.6.1-1
                       python-fsspec              0.8.5-1              0.8.7-1
                       python-grpcio             1.36.2-2             1.36.3-1
                         python-h5py              3.1.0-3              3.2.1-1
                 python-h5py-openmpi              3.1.0-3              3.2.1-1
                         python-ipdb             0.13.6-1             0.13.7-1
                  python-jaraco.envs              2.1.0-1              2.1.1-1
                  python-jaraco.test              4.0.1-1              5.0.0-1
                         python-lmdb              1.0.0-3              1.1.1-1
                      python-netcdf4            1.5.5.1-1              1.5.6-1
              python-netcdf4-openmpi            1.5.5.1-1              1.5.6-1
                        python-param             1.10.0-1             1.10.1-1
                      python-pikepdf        2.8.0.post2-1              2.9.0-1
                  python-pycodestyle              2.6.0-3              2.7.0-1
                        python-pygls              0.9.1-4             0.10.0-1
                  python-pyls-spyder              0.3.0-1              0.3.2-1
                 python-pyscreenshot                2.2-3                2.3-1
             python-pyvirtualdisplay                2.0-1                2.1-1
               python-spyder-kernels             1.10.1-1             1.10.2-1
                    python-symengine              0.7.0-1        0.7.0.post2-1
                       python-xarray             0.16.2-1             0.17.0-1
                         python-yaml              5.3.1-4            5.4.1.1-1
                    python2-autopep8            1:1.5.5-1            1:1.5.6-1
              python2-beautifulsoup4              4.9.3-3                    -
                 python2-pycodestyle              2.6.0-3              2.7.0-1
                   python2-soupsieve              1.9.6-2                    -
                        python2-yaml              5.3.1-4            5.4.1.1-1
                            qjackctl              0.9.1-1              0.9.2-1
                            qmidictl              0.9.1-1              0.9.2-1
                            qmidinet              0.9.1-1              0.9.2-1
                            qsampler              0.9.1-1              0.9.2-1
                              qsynth              0.9.1-1              0.9.2-1
                             qxgedit              0.9.1-1              0.9.2-1
                           rng-tools               6.11-1               6.12-1
                          ruby-mocha             1.11.2-2             1.12.0-1
                       rust-analyzer           20210308-1           20210315-1
                    sage-data-graphs           20161026-3           20210214-1
                             samplv1             0.9.20-1             0.9.21-1
                          shellcheck            0.7.1-331            0.7.1-333
                              spyder              4.2.1-2              4.2.3-1
                             synthv1             0.9.20-1             0.9.21-1
                           tailscale              1.4.6-1              1.6.0-1
                          testssl.sh              3.0.2-1              3.0.4-1
                                 tor            0.4.5.6-1            0.4.5.7-1
                   ttf-sarasa-gothic             0.18.6-1             0.18.7-1
                               twine              3.3.0-1              3.4.0-1
                               v2ray             4.35.1-1             4.36.1-1
         v2ray-domain-list-community     20210314064711-1     20210316053120-1
                         v2ray-geoip       202103110015-1       202103150217-1
                            vim-jedi             0.10.0-4             0.11.0-1
                          vim-tagbar                2.7-3              3.0.0-1
                               xmms20.8DrO_o.7391.dedc33d7-20.8DrO_o.7391.dedc33d7-3
                                 yad                9.0-1                9.1-1
                                zimg              3.0.1-1                    -
                  aspnet-runtime-3.1                    -      3.1.12.sdk112-3
           aspnet-targeting-pack-3.1                    -      3.1.12.sdk112-3
                  dotnet-runtime-3.1                    -      3.1.12.sdk112-3
                      dotnet-sdk-3.1                    -      3.1.12.sdk112-3
           dotnet-targeting-pack-3.1                    -      3.1.12.sdk112-3
                         frescobaldi                    -              3.1.3-3
      haskell-doctest-exitcode-stdio                    -                0.0-1
                 haskell-doctest-lib                    -                0.1-1
                      haskell-ghcide                    -              1.1.0-1
            haskell-hls-class-plugin                    -            1.0.0.0-1
           haskell-hls-splice-plugin                    -            1.0.0.0-1
           haskell-hslua-module-path                    -            0.1.0.1-1
                 haskell-svg-builder                    -              0.1.1-1
                             openvkl                    -             0.12.0-1
                  python-poppler-qt5                    -             21.1.0-1
                      python-pyarrow                    -              3.0.0-1
                     python-pyspnego                    -              0.1.5-1
                  python-smbprotocol                    -              1.4.0-1
                            rkcommon                    -              1.6.0-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                           amd-ucode20210305.r1838.e425f76-120210315.r1846.3568f96-1
                      linux-firmware20210305.r1838.e425f76-120210315.r1846.3568f96-1
                         mhwd-nvidia             460.56-1             460.56-2
                             systemd              247.3-1              247.4-1
                        systemd-libs              247.3-1              247.4-1
                  systemd-resolvconf              247.3-1              247.4-1
                  systemd-sysvcompat              247.3-1              247.4-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                                 acl              2.3.0-1              2.3.1-1
                                attr              2.5.0-1              2.5.1-1
                               lemon             3.35.0-1             3.35.1-2
                              libcap               2.48-1               2.49-1
                             libedit       20191231_3.1-3       20210216_3.1-1
                              sqlite             3.35.0-1             3.35.1-2
                     sqlite-analyzer             3.35.0-1             3.35.1-2
                          sqlite-doc             3.35.0-1             3.35.1-2
                          sqlite-tcl             3.35.0-1             3.35.1-2
                                sudo           1.9.5.p2-1           1.9.6.p1-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                                gtk3          1_3.24.27-4                    -
                        gtk3-classic          3.24.27-0.1            3.24.27-1
                  manjaro-tools-base            0.15.11-1            0.15.12-1
              manjaro-tools-base-git      r2939.0f896a2-1      r2948.aa976ed-1
                   manjaro-tools-iso            0.15.11-1            0.15.12-1
               manjaro-tools-iso-git      r2939.0f896a2-1      r2948.aa976ed-1
                   manjaro-tools-pkg            0.15.11-1            0.15.12-1
               manjaro-tools-pkg-git      r2939.0f896a2-1      r2948.aa976ed-1
                  manjaro-tools-yaml            0.15.11-1            0.15.12-1
              manjaro-tools-yaml-git      r2939.0f896a2-1      r2948.aa976ed-1
                         nvidia-dkms             460.56-1             460.56-2
                        nvidia-utils             460.56-1             460.56-2
                       opencl-nvidia             460.56-1             460.56-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                            alacarte  3.36.0+0+g7b5fc64-2  3.36.0+2+gae6b92d-1
                           bluedevil           1:5.21.2-1           1:5.21.3-1
                              breeze             5.21.2-1             5.21.3-1
                         breeze-grub             5.21.2-1             5.21.3-1
                          breeze-gtk             5.21.2-1             5.21.3-1
                               cairo             1.17.4-3             1.17.4-5
                               cmake             3.19.6-1             3.19.7-1
                            discover             5.21.2-1             5.21.3-1
                             drkonqi             5.21.2-1             5.21.3-1
                              ffmpeg            2:4.3.2-1            2:4.3.2-2
                                 git             2.30.2-1             2.31.0-1
               gnome-online-accounts             3.38.0-1             3.38.1-1
                         gnome-shell           1:3.38.3-1           1:3.38.4-1
                           gst-libav             1.18.3-1             1.18.4-1
                      gst-plugin-gtk             1.18.3-1             1.18.4-1
                   gst-plugin-opencv             1.18.3-2             1.18.4-1
                    gst-plugin-qmlgl             1.18.3-1             1.18.4-1
                      gst-plugin-wpe             1.18.3-2             1.18.4-1
                     gst-plugins-bad             1.18.3-2             1.18.4-1
                gst-plugins-bad-libs             1.18.3-2             1.18.4-1
                    gst-plugins-base             1.18.3-1             1.18.4-1
               gst-plugins-base-libs             1.18.3-1             1.18.4-1
                    gst-plugins-good             1.18.3-1             1.18.4-1
                    gst-plugins-ugly             1.18.3-1             1.18.4-1
                          gst-python             1.18.3-1             1.18.4-1
                           gstreamer             1.18.3-1             1.18.4-1
                      gstreamer-docs             1.18.3-1             1.18.4-1
                     gstreamer-vaapi             1.18.3-1             1.18.4-1
                                gtk3          1:3.24.27-3          1:3.24.27-4
                            harfbuzz              2.7.4-1              2.8.0-1
                        harfbuzz-icu              2.7.4-1              2.8.0-1
                   kactivitymanagerd             5.21.2-1             5.21.3-1
                       kde-cli-tools             5.21.2-1             5.21.3-1
                      kde-gtk-config             5.21.2-1             5.21.3-1
                         kdecoration             5.21.2-1             5.21.3-1
                    kdeplasma-addons             5.21.2-1             5.21.3-1
                             kgamma5             5.21.2-1             5.21.3-1
                            khotkeys             5.21.2-1             5.21.3-1
                         kinfocenter             5.21.2-1             5.21.3-1
                                 kio             5.80.0-1             5.80.1-1
                           kmenuedit             5.21.2-1             5.21.3-1
                             kscreen             5.21.2-1             5.21.3-1
                       kscreenlocker             5.21.2-1             5.21.3-1
                         ksshaskpass             5.21.2-1             5.21.3-1
                           ksysguard             5.21.2-1             5.21.3-1
                         kwallet-pam             5.21.2-1             5.21.3-1
                kwayland-integration             5.21.2-1             5.21.3-1
                     kwayland-server             5.21.2-1             5.21.3-1
                                kwin             5.21.2-1             5.21.3-1
                             kwrited             5.21.2-1             5.21.3-1
                            libgudev                234-1                236-1
                          libkscreen             5.21.2-1             5.21.3-1
                        libksysguard             5.21.2-1           5.21.3.1-1
                           libunique              1.1.6-8                    -
                                lmdb             0.9.28-1             0.9.29-1
                               milou             5.21.2-1             5.21.3-1
                              mutter             3.38.3-1             3.38.4-1
                              oxygen             5.21.2-1             5.21.3-1
                              pahole               1.20-1               1.20-2
          plasma-browser-integration             5.21.2-1             5.21.3-1
                      plasma-desktop             5.21.2-2             5.21.3-1
                        plasma-disks             5.21.2-1             5.21.3-1
                     plasma-firewall             5.21.2-1             5.21.3-1
                  plasma-integration             5.21.2-1             5.21.3-1
                           plasma-nm             5.21.2-1             5.21.3-1
                           plasma-pa             5.21.2-1             5.21.3-1
                          plasma-sdk             5.21.2-1             5.21.3-1
                plasma-systemmonitor             5.21.2-1             5.21.3-1
                  plasma-thunderbolt             5.21.2-1             5.21.3-1
                        plasma-vault             5.21.2-1             5.21.3-1
              plasma-wayland-session             5.21.2-2             5.21.3-1
                    plasma-workspace             5.21.2-2             5.21.3-1
         plasma-workspace-wallpapers             5.21.2-1             5.21.3-1
                    polkit-kde-agent             5.21.2-1             5.21.3-1
                          powerdevil             5.21.2-1             5.21.3-1
                    python-cssselect              1.1.0-6              1.1.0-7
                         python-lxml              4.6.2-1              4.6.2-2
                    python-lxml-docs              4.6.2-1              4.6.2-2
                   python-virtualenv             20.4.2-1             20.4.3-1
                   python2-cssselect              1.1.0-6                    -
                        python2-lxml              4.6.2-1                    -
                  python2-virtualenv             20.4.2-1             20.4.3-1
                               samba             4.13.5-1             4.14.0-1
                            sddm-kcm             5.21.2-1             5.21.3-1
                           smbclient             4.13.5-1             4.14.0-1
                      systemsettings             5.21.2-1             5.21.3-1
                     wireguard-tools       1.0.20210223-1       1.0.20210315-1
                      wpebackend-fdo              1.8.0-1              1.8.1-1
              xdg-desktop-portal-kde             5.21.2-1             5.21.3-1
                        xorg-xkbcomp              1.4.4-1              1.4.5-1
                            tomcat10                    -             10.0.4-1
                                zimg                    -              3.0.1-2


:: Different overlay package(s) in repository kde-unstable x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                             akonadi20.12.2.r12455.gdfed8b3c5-120.12.2.r12457.gb5102fe52-1
                    akonadi-calendar20.12.2.r1909.g02bf95f-120.12.2.r1911.g84f2f17-1
              akonadi-calendar-tools20.12.2.r851.g7997480-120.12.2.r853.g5544446-1
                    akonadi-contacts20.12.2.r2982.g8e4a8922-120.12.2.r2984.gdab7d925-1
               akonadi-import-wizard20.12.2.r1688.g5f49e5f-120.12.2.r1690.g7ba2d4d-1
                        akonadi-mime20.12.2.r1599.g1771bb4-120.12.2.r1601.g0d25d31-1
                       akonadi-notes20.12.2.r987.g5fb0e58-120.12.2.r989.g1acfbe3-1
                      akonadi-search20.12.2.r1062.ga623d2f-120.12.2.r1065.g0ee9ae9-1
                      akonadiconsole20.12.2.r1471.gabdd90b-120.12.2.r1473.g17463a7-1
                           akregator20.12.2.r6059.gacc34c44-120.12.2.r6061.g2f686cfd-1
                            analitza20.12.2.r2323.gb0bcd523-120.12.2.r2324.g66251bf2-1
                                 ark20.12.2.r4472.gc254ee56-120.12.2.r4477.gcb214389-1
                              attica5.79.0.r795.g39baccb-15.79.0.r796.g11c2d07-1
                         audiocd-kio20.12.2.r1008.gedc3fda-120.12.2.r1010.gba2906a-1
                               baloo5.79.0.r2924.g9998bf63-15.79.0.r2926.gd865b58d-1
                       baloo-widgets20.12.2.r675.gaa389ab-120.12.2.r676.g6b36922-1
                             blinken20.12.2.r614.g1071e62-120.12.2.r615.g8ef251c-1
                            bluez-qt5.79.0.r641.g236c636-15.79.0.r642.ge7be95f-1
                              bomber20.12.2.r507.g4d0fb67-120.12.2.r508.gac060d1-1
                                bovo20.12.2.r720.g1ff1387-120.12.2.r721.gcefadb2-1
                              breeze5.21.0.r2157.g835c84fc-15.21.0.r2158.g82ae87fc-1
                        breeze-icons5.79.0.r1715.gba656561-15.79.0.r1717.g819ab265-1
                     calendarsupport20.12.2.r496.g870fb44-120.12.2.r498.g92dc296-1
                            cervisia20.12.2.r1631.g9d768e0-120.12.2.r1632.g4eb5d8e-1
                            discover5.21.0.r8044.gd375031f-15.21.0.r8048.g3b25e32f-1
                             dolphin20.12.2.r6515.gae429d167-120.12.2.r6523.gfc2624960-1
                              dragon20.12.2.r994.g3e76dfd-120.12.2.r995.g56e66c3-1
                               elisa20.12.2.r2634.g7bb83f95-120.12.2.r2635.g7fb37f7a-1
                          eventviews20.12.2.r611.g80edc39-120.12.2.r613.g0e8f052-1
                 extra-cmake-modules5.79.0.r3271.gdce1326-15.79.0.r3272.gaa4623b-1
                        ffmpegthumbs20.12.2.r167.g8c3792d-120.12.2.r168.g4ded4c4-1
                           filelight20.12.2.r939.g4213f27-120.12.2.r943.gad27b73-1
                frameworkintegration5.79.0.r570.g0f49ed3-15.79.0.r571.ga4c8aa9-1
                           granatier20.12.2.r903.g541af28-120.12.2.r904.g6e060be-1
                     grantlee-editor20.12.2.r730.g2b79048-120.12.2.r732.gb8fb0f1-1
                       grantleetheme20.12.2.r305.g1b78bed-120.12.2.r307.gd0626a5-1
                            gwenview20.12.2.r6527.g63c458e6-120.12.2.r6528.g9291362d-1
                     incidenceeditor20.12.2.r684.g0e0c6bf-120.12.2.r686.g72733e2-1
                           itinerary20.12.2.r1231.g9bddc25-120.12.2.r1232.gcbf3f78-1
                                 juk20.12.2.r3062.g9fae43cf-120.12.2.r3063.gab73b938-1
                                 k3b1:20.12.2.r6598.g6342f303d-11:20.12.2.r6599.g52968a7ba-1
               kaccounts-integration20.12.2.r1203.g18351fd-120.12.2.r1204.g0ae8383-1
                 kaccounts-providers20.12.2.r373.g58d194d-120.12.2.r374.g297cd85-1
                         kactivities5.79.0.r1331.gd5ca108-15.79.0.r1333.g3a8cfec-1
                   kactivities-stats5.79.0.r337.g332d2d7-15.79.0.r338.g34ab52f-1
                        kaddressbook20.12.2.r5936.g8b705195-120.12.2.r5938.ge56f08f2-1
                             kajongg20.12.2.r4178.g3e5aab0a-120.12.2.r4179.g44663590-1
                              kalarm20.12.2.r6335.gaf8c8fbc-120.12.2.r6337.g0332bf00-1
                           kalarmcal20.12.2.r1093.gbe8fbab-120.12.2.r1095.g8e3844c-1
                            kalgebra20.12.2.r2011.g324c3b0-120.12.2.r2015.gfef5d83-1
                             kalzium20.12.2.r4245.g714541b0-120.12.2.r4246.g588a2e7d-1
                              kamera20.12.2.r647.gacf1196-120.12.2.r648.g1545cf6-1
                              kamoso20.12.2.r1413.g9f4015a-120.12.2.r1414.gdabf4f4-1
                            kanagram20.12.2.r1268.g5efee99-120.12.2.r1269.g80a55c1-1
                             kapidox5.79.0.r517.ge26fbab-15.79.0.r518.g0f81b2f-1
                              kapman20.12.2.r576.g0d027b1-120.12.2.r577.g7b402c2-1
                        kapptemplate20.12.2.r944.gef9eda7-120.12.2.r945.g0b6f831-1
                            karchive5.79.0.r460.gf2c02f7-15.79.0.r461.g2d6661f-1
                             katomic20.12.2.r903.gb1ea1d1-120.12.2.r904.g1f0d58d-1
                               kauth5.79.0.r417.gd427254-15.79.0.r418.gea71af9-1
                           kblackbox20.12.2.r708.g19d87d6-120.12.2.r709.gde572d6-1
                             kblocks20.12.2.r622.gfbfe2f0-120.12.2.r623.g7a7bdbe-1
                          kbookmarks5.79.0.r391.g8cfd751-15.79.0.r393.g39bbd12-1
                             kbounce20.12.2.r786.g8dc5b15-120.12.2.r787.gbfae1e2-1
                           kbreakout20.12.2.r841.g75dd8c4-120.12.2.r842.g79dd899-1
                              kbruch20.12.2.r804.g81f4cef-120.12.2.r805.g850ef21-1
                         kcachegrind20.12.2.r1142.g078d049-120.12.2.r1143.g55e1a9b-1
                  kcachegrind-common20.12.2.r1142.g078d049-120.12.2.r1143.g55e1a9b-1
                       kcalendarcore5.79.0.r1180.ga68602d85-15.79.0.r1181.g35e4e97a9-1
                           kcalutils20.12.2.r817.ga9c3f7204-120.12.2.r819.g58a417cfa-1
                            kcmutils5.79.0.r484.gf6b3ad9-15.79.0.r485.gca1d5ae-1
                             kcodecs5.79.0.r351.g2f30820-15.79.0.r352.gd50848a-1
                       kcolorchooser20.12.2.r212.gf77799f-120.12.2.r213.g1417e95-1
                         kcompletion5.79.0.r423.g3e14934-15.79.0.r424.g7b3cdd8-1
                             kconfig5.79.0.r801.gd5ca63b-15.79.0.r803.gfee82b7-1
                      kconfigwidgets5.79.0.r546.g6bb1826-15.79.0.r547.g5fcdddc-1
                           kcontacts1:5.79.0.r3218.g713ff23f-11:5.79.0.r3219.g0ccf9f05-1
                         kcoreaddons5.79.0.r1191.g9eaa9957-15.79.0.r1192.g6650ded2-1
                              kcrash5.79.0.r357.g03b8fd7-15.79.0.r358.g31581e1-1
                                kdav1:5.79.0.r1269.gb5334c2-11:5.79.0.r1270.g8520c26-1
                         kdbusaddons5.79.0.r344.g4684bfd-15.79.0.r345.ge12a5e8-1
                       kde-dev-utils20.12.2.r543.gde07b69-120.12.2.r544.g5920114-1
                        kdeclarative5.79.0.r873.gdfc9e3d-15.79.0.r874.g5b0d4a7-1
                          kdeconnect20.12.2.r3150.g5ea3e447-120.12.2.r3154.g67a6a9f0-1
                                kded5.79.0.r384.g87fe64a-15.79.0.r385.g3b33b0a-1
                     kdelibs4support5.79.0.r1001.g75eac4eb-15.79.0.r1002.g21daa81f-1
                       kdepim-addons20.12.2.r4024.g1de021fd-120.12.2.r4026.gcd071532-1
                      kdepim-runtime20.12.2.r15058.g1bed2717c-120.12.2.r15060.g4d0827a3b-1
                    kdeplasma-addons5.21.0.r8477.g7f672f1d4-15.21.0.r8480.ged78d2d3a-1
                     kdesignerplugin5.79.0.r310.g079081f-15.79.0.r311.gcdfa632-1
                               kdesu5.79.0.r441.g63ca7d6-15.79.0.r446.g141fd6e-1
                           kdewebkit5.79.0.r258.g66e6b0f-15.79.0.r259.gf2b87cc-1
                            kdiamond20.12.2.r653.g256b3d3-120.12.2.r654.g399339e-1
                              kdnssd5.79.0.r293.gfbd474a-15.79.0.r294.g92d6cfc-1
                           kdoctools5.79.0.r593.g6352583-15.79.0.r595.ga2eea74-1
                          kemoticons5.79.0.r358.ga9ea0da-15.79.0.r359.g7f09ae3-1
                       kfilemetadata5.79.0.r766.g5e3dcd9-15.79.0.r768.gbf2c99e-1
                         kfourinline20.12.2.r962.g2fe840d-120.12.2.r963.g85d037d-1
                          kgeography20.12.2.r1099.g24226a3-120.12.2.r1100.gfa2a53b-1
                                kget20.12.2.r3088.g86e49e7d-120.12.2.r3089.g25d841d9-1
                        kglobalaccel5.79.0.r420.g82c7eef-15.79.0.r421.gbb385a9-1
                         kgoldrunner20.12.2.r1215.ge0fdb6c-120.12.2.r1216.g09f9811-1
                          kguiaddons5.79.0.r347.g621a2e5-15.79.0.r348.ga196e60-1
                            khangman20.12.2.r1551.g325d0e5-120.12.2.r1552.g0ff1e25-1
                         khelpcenter20.12.2.r2651.g220bbd0d-120.12.2.r2652.g5484b476-1
                           kholidays1:5.79.0.r909.g0dfe855-11:5.79.0.r911.gbd97f33-1
                            khotkeys5.21.0.r2059.gf065489-15.21.0.r2061.g93a0376-1
                               khtml5.79.0.r531.gfa84253-15.79.0.r532.gc27fc10-1
                               ki18n5.79.0.r447.g90ccb3b-15.79.0.r448.g6f6c69f-1
                         kiconthemes5.79.0.r486.g11fd56b-15.79.0.r487.g2f15b12-1
                 kidentitymanagement20.12.2.r3761.g3184174f-120.12.2.r3762.g1739c25e-1
                           kidletime5.79.0.r286.g7e272f5-15.79.0.r287.g091c4bc-1
                                 kig20.12.2.r3113.g2ecbcace-120.12.2.r3115.g2a0c0ba0-1
                                kigo20.12.2.r497.g41c6091-120.12.2.r502.g85692eb-1
                            killbots20.12.2.r716.g9f994f4-120.12.2.r717.g9c87c3e-1
                     kimagemapeditor20.12.2.r453.g9cb3579-120.12.2.r454.g6f28d0b-1
                               kimap20.12.2.r1070.g1478ea3-120.12.2.r1072.g377009a-1
                         kinfocenter5.21.0.r1797.gc315020-15.21.0.r1798.g321149c-1
                               kinit5.79.0.r381.gdf7d2bd-15.79.0.r382.g50ef53d-1
                                 kio5.79.0.r4582.gc8bd41b5-15.79.0.r4586.gc4e4880d-1
                          kio-extras20.12.2.r6983.g5abd1e8e-120.12.2.r6986.gb235e6e6-1
                          kio-gdrive20.12.2.r548.gb65a711-120.12.2.r549.ga196369-1
                    kirigami-gallery20.12.2.r189.g0e80fdd-120.12.2.r191.g43bbd53-1
                           kirigami25.79.0.r2707.gc2bc751c-15.79.0.r2712.gd859a625-1
                              kiriki20.12.2.r405.g209d475-120.12.2.r406.gf17ff9d-1
                         kitemmodels5.79.0.r521.g7327fee-15.79.0.r522.gdd7f00f-1
                          kitemviews5.79.0.r311.g4d5caf4-15.79.0.r312.g66390b1-1
                               kiten20.12.2.r1131.g0d7e7ad-120.12.2.r1132.ga84aa45-1
                          kitinerary20.12.2.r1614.gd7df079-120.12.2.r1619.g716464b-1
                         kjobwidgets5.79.0.r344.g19e4cc4-15.79.0.r346.g9260b26-1
                                 kjs5.79.0.r314.g2c2d403-15.79.0.r315.gc93d759-1
                            kjsembed5.79.0.r279.gf21c08c-15.79.0.r280.g7222a85-1
                        kjumpingcube20.12.2.r767.g0e46f52-120.12.2.r768.g743dc3d-1
                               kldap20.12.2.r832.g8df3d68-120.12.2.r834.g648c19a-1
                           kleopatra20.12.2.r5763.gdd7c15cf-120.12.2.r5765.gf3d60643-1
                            klettres20.12.2.r899.ge4e9881-120.12.2.r900.gcf521e9-1
                            klickety20.12.2.r606.g918f182-120.12.2.r607.g6debdf8-1
                              klines20.12.2.r728.g45dfd12-120.12.2.r729.g8c6cd66-1
                                kmag20.12.2.r673.gf3e956f-120.12.2.r674.g5d34672-1
                           kmahjongg20.12.2.r1446.g499006e-120.12.2.r1447.gc7f353b-1
                               kmail20.12.2.r25587.g249b64630-120.12.2.r25599.g88df1a800-1
                kmail-account-wizard20.12.2.r766.ge8b625a-120.12.2.r768.g515942f-1
                      kmailtransport20.12.2.r1581.g0447ad3-120.12.2.r1583.g86e1a95-1
                               kmbox20.12.2.r501.gfa81739-120.12.2.r503.gb188510-1
                        kmediaplayer5.79.0.r271.g139301c-15.79.0.r272.g6ac98f3-1
                               kmime20.12.2.r1416.gd0f2c93-120.12.2.r1418.g301e4f3-1
                              kmines20.12.2.r1699.g5527d52-120.12.2.r1700.gf413b5d-1
                                kmix20.12.2.r2352.g93f753cb-120.12.2.r2353.gdf8c67ba-1
                        knavalbattle20.12.2.r1356.g5dfcd91-120.12.2.r1357.gf3864fb-1
                            knetwalk20.12.2.r640.g89b3812-120.12.2.r641.g65794d1-1
                           knewstuff5.79.0.r1058.g715129cf-15.79.0.r1060.gdac90839-1
                             knights20.12.2.r1037.g8f2bbab-120.12.2.r1039.g9000e91-1
                              knotes20.12.2.r3424.gc54b386e-120.12.2.r3426.g082ee346-1
                      knotifications5.79.0.r621.g46cccf8-15.79.0.r628.ge0a0e4c-1
                       knotifyconfig5.79.0.r325.ga1c1a7e-15.79.0.r326.g6a0fc15-1
                                kolf20.12.2.r1409.ge4d4cc2-120.12.2.r1410.g2b43183-1
                           kollision20.12.2.r476.g3a3d32b-120.12.2.r477.g6645b5c-1
                         kolourpaint20.12.2.r2335.g2f21b195-120.12.2.r2336.g0dfd68ad-1
                             kompare20.12.2.r1094.gfc20950-120.12.2.r1095.g95da14b-1
                           konqueror20.12.2.r14871.g5d0155a6a-120.12.2.r14872.g716282830-1
                            konquest20.12.2.r877.gcb74d6d-120.12.2.r878.ge6f67a1-1
                             kontact20.12.2.r5268.g4b5ff2f9-120.12.2.r5270.g9ba4e7f3-1
                    kontactinterface20.12.2.r593.g05511dc-120.12.2.r595.gf63ba6c-1
                            kontrast20.12.2.r156.gf52b5eb-120.12.2.r157.g13c7fc0-1
                        konversation20.12.2.r8942.gf77e0520-120.12.2.r8943.g08d100b4-1
                          korganizer20.12.2.r11300.g28c376837-120.12.2.r11302.g8bd80825f-1
                       kosmindoormap20.12.2.r590.g9091da2-120.12.2.r591.g8f62cfd-1
                            kpackage5.79.0.r642.gf896503-15.79.0.r643.gbc51351-1
                              kparts5.79.0.r481.gca3e6d5-15.79.0.r483.gf87780e-1
                           kpatience20.12.2.r2521.g96474eb-120.12.2.r2522.g6af98d7-1
                             kpeople5.79.0.r1296.gcb96d19-15.79.0.r1302.gdb1f2b3-1
                        kpimtextedit20.12.2.r1349.g18c0a6f-120.12.2.r1351.gf3876d2-1
                             kpkpass20.12.2.r200.g869481c-120.12.2.r202.g269ccdb-1
                           kplotting5.79.0.r268.gd102aaf-15.79.0.r269.g1127e4c-1
                             kpmcore20.12.2.r1188.gc06a188-120.12.2.r1189.gad35460-1
                                kpty5.79.0.r308.g7bb4adc-15.79.0.r309.g7267604-1
                    kpublictransport20.12.2.r1559.ga9e77e2-120.12.2.r1560.gee5f95c-1
                        kquickcharts5.79.0.r425.g3ec3ab8-15.79.0.r426.gdb63e80-1
                                krdc20.12.2.r1498.gc390f8f-120.12.2.r1501.gccaed1c-1
                            kreversi20.12.2.r1203.g511961c-120.12.2.r1204.g64fefc2-1
                                krfb20.12.2.r1376.gd533b76-120.12.2.r1377.g730e4d7-1
                               kross5.79.0.r312.g9fd314a-15.79.0.r313.g65b6c62-1
                              kruler20.12.2.r677.g3bede9b-120.12.2.r678.ga91bbb9-1
                             krunner5.79.0.r585.g615ae07-15.79.0.r587.gcacd394-1
                            kservice5.79.0.r881.gf25c7d7-15.79.0.r882.g96e7956-1
                             kshisen20.12.2.r1173.g549d55d-120.12.2.r1174.g66b50ab-1
                               ksirk20.12.2.r950.ga3f8c07-120.12.2.r951.g3d8e528-1
                               ksmtp20.12.2.r329.g4a67ff2-120.12.2.r330.g0ff1824-1
                          ksnakeduel20.12.2.r784.gb82de98-120.12.2.r785.gd0848f0-1
                          kspaceduel20.12.2.r611.g3f7552b-120.12.2.r612.g5f55bce-1
                            ksquares20.12.2.r502.g78905cc-120.12.2.r503.gddb98cd-1
                             ksudoku20.12.2.r1036.g3f29046-120.12.2.r1037.g948c839-1
                           ksysguard5.21.0.r3489.ge7fc8ce0-15.21.0.r3490.g159e9234-1
                          ksystemlog20.12.2.r611.ge1d924a-120.12.2.r612.gef9d954-1
                         ktexteditor5.79.0.r2758.g91b9dc23-15.79.0.r2759.g7ad20544-1
                        ktextwidgets5.79.0.r376.ge4e0d24-15.79.0.r378.g99ade9c-1
                               ktnef20.12.2.r627.gfe14af7-120.12.2.r629.gfa27587-1
                            ktorrent20.12.2.r2730.g16659e44-120.12.2.r2731.ga93634ac-1
                              ktouch20.12.2.r2119.g6bf723d-120.12.2.r2120.g34998dc-1
                          ktuberling20.12.2.r992.g7466e7d-120.12.2.r993.gf92e649-1
                             kturtle20.12.2.r1102.g52c897f-120.12.2.r1103.g0a2e913-1
                             kubrick20.12.2.r356.gf22577f-120.12.2.r357.g4a31aa5-1
                     kunitconversion5.79.0.r346.gf6cb766-15.79.0.r347.gf29c00b-1
                             kwallet5.79.0.r1048.gc5c882b-15.79.0.r1049.g81d4579-1
                               kwave20.12.2.r3731.g08e0ee4a-120.12.2.r3732.g3b8c119a-1
                            kwayland5.79.0.r1055.gfc4f209-15.79.0.r1056.g05f14c6-1
                     kwayland-server5.21.0.r1237.g9032c69-15.21.0.r1252.g90393d7-1
                      kwidgetsaddons5.79.0.r778.g1f5e2329-15.79.0.r783.g4df60cb8-1
                                kwin5.21.0.r19078.g75d39f6a8-15.21.0.r19081.g3cbbdbee9-1
                       kwindowsystem5.79.0.r564.g53daf6b-15.79.0.r565.ga50278d-1
                           kwordquiz20.12.2.r1127.g5cfae30-120.12.2.r1128.g562174d-1
                             kxmlgui5.79.0.r723.g23dfc4b-15.79.0.r729.g65c54737-1
                       kxmlrpcclient5.79.0.r432.g4c174da36-15.79.0.r433.gcad7586c3-1
                          libakonadi20.12.2.r12455.gdfed8b3c5-120.12.2.r12457.gb5102fe52-1
                         libgravatar20.12.2.r332.gd4d08de-120.12.2.r334.gd91ba32-1
                           libkdepim20.12.2.r814.g595e57a-120.12.2.r815.g04140dd-1
                            libkgapi20.12.2.r1257.gdea928e-120.12.2.r1259.g0a0de1e-1
                             libkleo20.12.2.r749.gec5ad64-120.12.2.r751.g0cca9e8-1
                            libksane20.12.2.r503.gea7c7bf-120.12.2.r505.g3a876d4-1
                           libksieve20.12.2.r1500.g5ae81059-120.12.2.r1502.gc1b8fde6-1
                        libksysguard5.21.0.r2080.g0c0e4af-15.21.0.r2081.gc4e221f-1
                         libktorrent20.12.2.r509.gb1f58ce-120.12.2.r510.g6940ea5-1
                            lokalize20.12.2.r1752.g0c97e18-120.12.2.r1753.gc1a2fcb-1
                               lskat20.12.2.r794.gc7002a6-120.12.2.r795.g57fe206-1
                          mailcommon20.12.2.r1001.ga32bc3d-120.12.2.r1003.g9ee7bac-1
                        mailimporter20.12.2.r432.g80bb014-120.12.2.r434.g8bd5eef-1
                              marble20.12.2.r13281.g01815792c-120.12.2.r13283.g8d13f678c-1
                       marble-common20.12.2.r13281.g01815792c-120.12.2.r13283.g8d13f678c-1
                           marble-qt20.12.2.r13281.g01815792c-120.12.2.r13283.g8d13f678c-1
                       mbox-importer20.12.2.r475.g9c6df95-120.12.2.r477.gbce734d-1
                          messagelib20.12.2.r5806.g4f2c25cf-120.12.2.r5816.g9404a728-1
                              minuet20.12.2.r567.g8f337ac-120.12.2.r568.g634ddcb-1
                     modemmanager-qt5.79.0.r490.g328a5f4-15.79.0.r496.gdae4704-1
                   networkmanager-qt5.79.0.r1083.g421580e-15.79.0.r1089.ga332c80-1
                              okular20.12.2.r9238.g272b386f5-120.12.2.r9239.g889e744f9-1
                              oxygen5.21.0.r4407.g9f8b4163-15.21.0.r4408.g458d196d-1
                            palapeli20.12.2.r1203.g2dfe767-120.12.2.r1204.g17ec0b8-1
                              parley20.12.2.r4389.ga50c4a6a-120.12.2.r4390.g92b7bcd1-1
                    partitionmanager20.12.2.r1516.gd23a3bd-120.12.2.r1517.g2e80aa5-1
                   pim-data-exporter20.12.2.r2380.g8c73f009-120.12.2.r2382.gfbeeaf40-1
                    pim-sieve-editor20.12.2.r1444.gb75fab9-120.12.2.r1446.gbf680c0-1
                           pimcommon20.12.2.r1015.gdcadc5b-120.12.2.r1016.g987c8a8-1
                      plasma-desktop5.21.0.r8250.g8a7afcb73-15.21.0.r8251.g6cb9de825-1
                        plasma-disks5.21.0.r182.gbdae4ab-15.21.0.r185.g38b897b-1
                     plasma-firewall5.21.0.r465.g2591d6f-15.21.0.r469.g03b96e7-1
                    plasma-framework5.79.0.r15777.g2f48e808d-15.79.0.r15789.g1bb889dfa-1
                  plasma-integration5.21.0.r507.g23a1490-15.21.0.r509.gce1d3c9-1
                          plasma-sdk5.21.0.r2254.gede28ad5-15.21.0.r2255.gc6926424-1
                plasma-systemmonitor5.21.0.r378.g2c4c2c8-15.21.0.r380.g8a5cb87-1
                  plasma-thunderbolt5.21.0.r122.g79beaa5-15.21.0.r123.g0da825d-1
              plasma-wayland-session5.21.0.r10022.gafc15e860-15.21.0.r10030.gbce65152f-1
                    plasma-workspace5.21.0.r10022.gafc15e860-15.21.0.r10030.gbce65152f-1
                              prison5.79.0.r299.ge2d0c4c-15.79.0.r300.g78cf306-1
                             purpose5.79.0.r835.g0f7d25f-15.79.0.r836.g80a47b8-1
                         qcachegrind20.12.2.r1142.g078d049-120.12.2.r1143.g55e1a9b-1
                  qqc2-desktop-style5.79.0.r462.gd3b4380-15.79.0.r463.ga364e29-1
            signon-kwallet-extension20.12.2.r63.ge2463a9-120.12.2.r64.g47e187d-1
                               solid5.79.0.r647.gf8d6ab4-15.79.0.r648.gd993c31-1
                              sonnet5.79.0.r592.gd6d4e94-15.79.0.r593.gcf1e696-1
                           spectacle20.12.2.r1062.g314710b-120.12.2.r1064.g60f0143-1
                                step20.12.2.r1143.g61b695d-120.12.2.r1144.g5927653-1
                             svgpart20.12.2.r148.g4d98608-120.12.2.r149.gbfe7858-1
                         syndication5.79.0.r810.g27b821a-15.79.0.r812.g9737887-1
                 syntax-highlighting5.79.0.r1539.g94260da3-15.79.0.r1540.g33c15a7b-1
                      systemsettings5.21.0.r2387.g2abaa441-15.21.0.r2388.g2f0d084e-1
          telepathy-kde-accounts-kcm20.12.2.r1191.gcd628dd-120.12.2.r1192.g5a27a75-1
              telepathy-kde-approver20.12.2.r292.geff39e1-120.12.2.r293.g45db24b-1
          telepathy-kde-auth-handler20.12.2.r275.g191f682-120.12.2.r276.g48e529c-1
      telepathy-kde-common-internals20.12.2.r1991.gc3a39ba-120.12.2.r1992.gef7ef33-1
        telepathy-kde-contact-runner20.12.2.r251.gd423c13-120.12.2.r252.g6d4f602-1
       telepathy-kde-desktop-applets20.12.2.r991.g0213047-120.12.2.r992.g4a74f96-1
  telepathy-kde-filetransfer-handler20.12.2.r218.g6a87a67-120.12.2.r219.gd345782-1
    telepathy-kde-integration-module20.12.2.r389.g3468c4a-120.12.2.r390.g08eac55-1
             telepathy-kde-send-file20.12.2.r226.g4b9fc85-120.12.2.r227.g53297c0-1
               telepathy-kde-text-ui20.12.2.r2017.g9f8a0b2-120.12.2.r2018.gab616c1-1
                        threadweaver5.79.0.r480.ge7c4d60-15.79.0.r481.gc052563-1
                            umbrello20.12.2.r8224.g3e6c58698-120.12.2.r8225.ge4317f9f0-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                  lib32-gtk3-classic          3.24.27-0.1            3.24.27-1
                       lib32-systemd              247.3-1              247.4-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2021-03-15           2021-03-17
-------------------------------------------------------------------------------
                           lib32-acl              2.3.0-1              2.3.1-1
                          lib32-attr              2.5.0-1              2.5.1-1
                         lib32-cairo             1.17.4-3             1.17.4-5
                        lib32-colord              1.4.5-1              1.4.5-2
                          lib32-gtk3            3.24.26-1            3.24.27-1
                      lib32-harfbuzz              2.7.4-1              2.8.0-1
                  lib32-harfbuzz-icu              2.7.4-1              2.8.0-1
          lib32-libappindicator-gtk2           12.10.0-11           12.10.0-12
          lib32-libappindicator-gtk3           12.10.0-11           12.10.0-12
                        lib32-libcap               2.48-1               2.49-1
                       lib32-libgusb              0.3.5-1              0.3.6-1
                          lib32-rest              0.8.1-2              0.8.1-3
                        wine-staging                6.3-1                6.4-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

6 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


New issues:

  • OS prober does not run and add other operating systems

    Please click the ► at the beginning of this line to view this solution

    To restore, please execute: echo GRUB_DISABLE_OS_PROBER=false|sudo tee -a /etc/default/grub && sudo update-grub

    For more information, see opening post in [Stable Update] 2021-03-08.

Recent Arch Linux news:

PHP 8.0 and PHP 7 legacy packages are available

PHP 8.0 and PHP 7 legacy packages are available

2021-01-28 - Pierre Schmitz

The php package has been updated to version 8.0. Please refer to the upstream migration guide. As some applications are not compatible with PHP 8 yet we provide a php7 package which can be installed alongside version 8. Packages that depend on PHP reflect this update and will require php7 if needed. You might need to update your configuration accordingly. PHP 7 binaries and configuration have the “7” suffix:

  • /usr/bin/php → /usr/bin/php7
  • /etc/php → /etc/php7
  • /usr/bin/php-fpm → /usr/bin/php-fpm7
  • /usr/lib/systemd/system/php-fpm.service → /usr/lib/systemd/system/php-fpm7.service
  • /run/php-fpm → /run/php-fpm7

We also provide third party modules compiled for PHP 7:

Note that support for php7 will be limited and likely be dropped in about a year depending on how soon the majority of applications will be compatible with version 8.

https://archlinux.org/news/php-80-and-php-7-legacy-packages-are-available/

Chromium losing Sync support in early March

Chromium losing Sync support in early March

2021-02-03 - Evangelos Foutras

Google has announced that they are going to block everything but Chrome from accessing certain Google features (like Chrome sync) starting on March 15. This decision by Google is going to affect Arch’s chromium package a bit earlier, on March 2, when Chromium 89 gets released.

We know for sure that data syncing will stop working (passwords, bookmarks, etc.). Other features such as geolocation or enhanced spell check might continue to function for a bit longer. Extensions integrating with Google Drive might misbehave and LibreOffice will lose access to documents stored there.

Other distros such as openSUSE and Fedora have already removed the soon-to-be-limited API keys from their Chromium 88 packages. Fedora’s advisory provides a great deal of perspective on this and I also found this Hackaday post to be quite informative.

https://archlinux.org/news/chromium-losing-sync-support-in-early-march/


Older Issues

Nvidia card owners

  • We simplified nVidia driver installation. This means we dropped legacy drivers.
    • We recommend to switch over to Nouveau drivers if your card is mentioned here and the feature you need is not in red TO DO here for your particular card.

    • If you however still need proprietary drivers, you may want to execute the following to ensure all parts of the nVidia drivers get installed properly:

      sudo mhwd -a pci nonfree 0300
      
      If proprietary drivers don't fix everything, please click the ► at the beginning of this line to view more info
      1. try installing kernel 5.4 LTS (Long Term Support)
      2. If that doesn’t fix it, take a full system backup, go to a console using Ctrl+Alt+F2 and:
      • Backup /etc/X11/mhwd.d/nvidia.conf if you ever edited that manually

      • remove all nVidia related drivers and applications:

        pacman --remove nvidia*
        
      • Note which applications are being removed and keep them handy in a list

      • Install the driver first:

        mhwd --install video-hybrid-XXX-nvidia-prime
        

        (Where XXX is amd or intel if you have hybrid graphics or the whole thing is video-nvidia if you’re on an nVidia-only system)

      • reboot and see if you at least get a screen.

      • Install all the other applications from your handy list that you still need one by one.

      • Restore /etc/X11/mhwd.d/nvidia.conf if you ever edited that manually

      • If that wouldn’t solve the issue open a new issue here referring to this update and posting at a minimum the full output of:

        inxi --admin --verbosity=7 --filter --no-host --width
        

      If you however still have issues with your Nvidia card, you may open a new thread in our forum: https://forum.manjaro.org/c/support/Graphic-Cards/33 or look at our tutorial on compiling old Nvidia drivers.

For AMD GPU users having a black screen with kernel 5.10

Please click the ► at the beginning of this line to view more info

Due to a bug in the AMD drivers, please try the following first:

For GRUB:

  1. Open a terminal or a TTY
  2. Open /etc/default/grub in your favourite CLI editor (nano vi, emacs`)
  3. Find the line: GRUB_CMDLINE_LINUX_DEFAULT="
  4. Add amdgpu.dc=0
  5. Save
  6. Execute sudo update-grub and reboot

For systemd-boot:

  1. Open a terminal or a TTY
  2. Open /boot/loader/entries/manjarolinux5.10.conf in your favourite CLI editor (nano vi, emacs`)
  3. Add amdgpu.dc=0 to the end of the line options
  4. Save & reboot

For rEFInd:

  1. Open a terminal or a TTY
  2. Open /boot/refind_linux.conf in your favourite CLI editor (nano vi, emacs`)
  3. Find the line: "Boot using default options" "root=
  4. Add amdgpu.dc=0
  5. Save & reboot

Possible 2 Min delay on shutdown with Gnome

Please click the ► at the beginning of this line to view more info
  • If you got the problem with shutdown delay (about 2min) on Gnome, here is a workaround:
    • Edit /usr/lib/systemd/user/gnome-session-restart-dbus.service in your favourite editor as root and add Slice=-.slice as a line all by itself like this:

      [Service]
      Type=notify
      Slice=-.slice
      ExecStart=/usr/lib/gnome-session-ctl --restart-dbus
      
    • Click this link For more information

Touchpad on a ThinkPad stops working

  • Restart again, please.

You get [PKGNAME] warning: directory permissions differ on [Directory name]

followed by:

Filesystem: NNN package MMM

Please click the ► at the beginning of this line to view this solution
  • The solution:

    sudo chmod MMM DirectoryName
    

Where obviously MMM is the second number you see (the correct one)

  • The explanation:
    Your package expects the security permissions to be MMM but your system is set to NNN. This is just a warning (today) but to ensure you remain up-to-date with the latest and greatest security rules it’s advised to execute the above command.

Systemd error message: .slice: Failed to migrate controller cgroups

If you have a similar error message like this:

systemd[1004]: -.slice: Failed to migrate controller cgroups from /user.slice/user-1000.slice/user@1000.service, ignoring: Permission denied

… you may need to add this Grub parameter to your /etc/default/grub file in line GRUB_CMDLINE_LINUX_DEFAULT: systemd.unified_cgroup_hierarchy=true. To update your grub menu, call: sudo update-grub. For more information on that issue, see also Arch Forum.


Python 3.9 Requires Rebuilds

Instructions for quickly and easily rebuilding affected AUR packages:

# Install yay
sudo pacman -S --needed --noconfirm yay

# Rebuild AUR python packages
yay -S --noconfirm $(pacman -Qqo "/usr/lib/python3.8/site-packages")

libtraceevent>=5.9-1 update requires manual intervention

2020-10-23 - Sébastien Luttringer

The libtraceevent package prior to version 5.9-1 was missing a soname link. This has been fixed in 5.9-1, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

libtraceevent: /usr/lib/libtraceevent.so.1 exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/libtraceevent.so.1

to perform the upgrade.

https://www.archlinux.org/news/libtraceevent59-1-update-requires-manual-intervention/

OpenVPN connection times out.

Workaround: donwgrade openvpn (2.5.0-1 => 2.4.9-2).
For a proper solution follow this bug report on Arch Linux: FS#68480 : [openvpn] running unprivileged with iproute no longer working

PAM and PAMBASE got updated, which might prevent you from login

Due to updates from pambase and pam you might take care about any .pacnew files in /etc/pam.d as for example pam_tally, pam_tally2 and pam_cracklib got deprecated. Read in the ArchWiki about managing those files.

Typical issue:

For recovery, it is enough to boot with kernel option “systemd.unit=rescue.target”, then proceed into /etc/pam.d and merge “system-auth” and “system-auth.pacnew”

System takes a long time to boot

If you’ve got errors like Failed to start Network Manager Wait Online. you can try removing systemd from passwd and group in /etc/nsswitch.conf as described here
Update: If you can see the line
dbus-daemon[1453]: [system] Connection has not authenticated soon enough, closing it (auth_timeout=30000ms, elapsed: 45146ms)
in in your dbus log ( journalctl -b -u dbus ), the new/better workaround is to switch cups from service to socket as described here:
systemctl disable cups.service
systemctl enable cups.socket

I think I’ve some font problems

With the update of fontconfig some major rules how fonts get applied changed. Make sure that your system has ttf-dejavu installed. A more in depth explanation can be found here.

Gnome-shell-extension-pop-shell is currently incompatible with wayland

… and causes the system to freeze when the first window is tiled and can render it unbootable. Solution is a hard reset and disabling either pop shell or wayland. If the system becomes unbootable, use a live USB to edit /etc/gdm/custom.conf to disable wayland and reboot.

I tried to update with Pamac on testing and this happened:

It seems Pamac can’t overwrite files on system forlders and it stops the update.

lib32-gtk3 has issue, noted on Unstable update thread. Arch has released 3.24.27-2

Pushed some more packages …

:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                  aspnet-runtime-3.1      3.1.12.sdk112-3      3.1.13.sdk113-1
           aspnet-targeting-pack-3.1      3.1.12.sdk112-3      3.1.13.sdk113-1
                                bamf              0.5.4-2              0.5.5-1
                            crypto++              8.4.0-1              8.5.0-1
                         dolphin-emu1:5.0.r13772.6c23e163e1-11:5.0.r13869.a45a0a2066-1
                  dotnet-runtime-3.1      3.1.12.sdk112-3      3.1.13.sdk113-1
                      dotnet-sdk-3.1      3.1.12.sdk112-3      3.1.13.sdk113-1
           dotnet-targeting-pack-3.1      3.1.12.sdk112-3      3.1.13.sdk113-1
                              flake8            1:3.8.4-4            1:3.9.0-1
                       python-josepy              1.7.0-1              1.8.0-1
                     python-pyflakes              2.2.0-4              2.3.0-1
                               v2ray             4.36.1-1             4.36.2-1
         v2ray-domain-list-community     20210316053120-1     20210317031429-1
                         v2ray-geoip       202103150217-1       202103170314-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                               folks               0.14-3               0.14-4
                 java-commons-daemon              1.2.3-1              1.2.4-1
                           java-jsvc              1.2.3-1              1.2.4-1
                        libxkbcommon              1.1.0-1              1.1.0-2
                    libxkbcommon-doc              1.1.0-1              1.1.0-2
                    libxkbcommon-x11              1.1.0-1              1.1.0-2
                             tomcat9             9.0.43-1             9.0.44-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                          lib32-gtk3            3.24.27-1            3.24.27-2
1 Like

I disabled the update for that library, will wait till next version comes out to update it, but i think this is a Pamac thing, not the first time it happens.

No problems to report of that I know of. Thank you to the Manjaro team :smiley:

Update went fine but got these errors or warnings

  -> -k /boot/vmlinuz-5.8-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.8-x86_64.img
==> ERROR: '/lib/modules/5.8.18-1-MANJARO' is not a valid kernel module directory
==> Building image from preset: /etc/mkinitcpio.d/linux58.preset: 'fallback'
  -> -k /boot/vmlinuz-5.8-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.8-x86_64-fallback.img -S autodetect
==> ERROR: '/lib/modules/5.8.18-1-MANJARO' is not a valid kernel module directory
==> Building image from preset: /etc/mkinitcpio.d/linux59.preset: 'default'
  -> -k /boot/vmlinuz-5.9-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.9-x86_64.img
==> ERROR: '/lib/modules/5.9.16-1-MANJARO' is not a valid kernel module directory
==> Building image from preset: /etc/mkinitcpio.d/linux59.preset: 'fallback'
  -> -k /boot/vmlinuz-5.9-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.9-x86_64-fallback.img -S autodetect
==> ERROR: '/lib/modules/5.9.16-1-MANJARO' is not a valid kernel module directory
error: command failed to execute correctly

I use 5.10 and it seems to have build successfully along with 5.4 as well.

Looks like you have remnants from kernels that are not uninstalled completely. Just check in Manjaro settings > kernels which kernels are installed.
Alternatively, you can use the terminal command

mhwd-kernel -li

Afterwards, you can delete the *.preset files from /etc/mikinitcpio.d/ for all the kernels that are not present on your system.

This is not a Pamac issue. Imagine I go to your place and start building a dog house on your front yard. Am I invading due to the goverments fault or am I just being a donkey? Your 32bit gtk3 is trying to overwrite 64bit gtk3 files which is illegal. 32bit gtk3 is trying to build a dog house on 64bit gtk3’s lawn.

1 Like

see this

New orphan tracker3 - no longer required by gtk3 (1:3.24.27-4).

1 Like

The kio-extras package version 20.12.3 has broken MTP implementation. dolphin refuses to connect and mtp-detect fails with the error:

libmtp version: 1.1.18

Listing raw device(s)
Device 0 (VID=2a70 and PID=f003) is a OnePlus OnePlus 2 A2005.
   Found 1 device(s):
   OnePlus: OnePlus 2 A2005 (2a70:f003) @ bus 1, dev 14
Attempting to connect device(s)
libusb_claim_interface() reports device is busy, likely in use by GVFS or KDE MTP device handling alreadyLIBMTP PANIC: Unable to initialize device
Unable to open raw device 0
OK.

I dowgraded kio-extras to version 20.12.2 and MTP started working again.

There was this question in previous thread:

At least, I am currently testing the 5.12-rc.3 kernel here. Thanks to the maintainer of linux512-nvidia-390xx, the Nvidia driver 390 runs on this kernel.
So I am able to use it with my ancient system, equipped with a GeForce GTX 550 Ti graphics card.

I see that Breath2 theme got updates today.
However, the icons for display orientation in Display Configuration under Plasma System Settings are still those of basic files. Breeze theme, for example shows icons fit for showing the orientation.

I know it’s late and has nothing to do with Manjaro but the recent Firefox update breaks Twitter. Everything else is awesome like always. :blush:

Edit:
Oops! My bad. I thought it was recent Firefox, but downgrade it doesn’t fix the problem with Twitter. Perhaps it’s Twitter, my network, or something else then. Cheers! :yum: